{% extends "base.html" %}
{% load i18n %}
{% block page_name %}{{ summit.title }} - Register{%endblock %}
{% block content %}
{{ form.non_field_errors }}
{{ sponsform.non_field_errors }}

<div>
  Please see the
  <a href="http://debconf14.debconf.org/registration.xhtml">registration
  page</a> for information on how to fill out the registration form.
</div>
<div>
  Still have questions?  See the
  <a href="https://wiki.debconf.org/wiki/DebConf14/RegistrationFAQ">Registration
  FAQ</a>.
</div>

<form enctype="multipart/form-data" id="registration" action="{{ request.path_info }}" method="POST">{% csrf_token %}
    <div class="form_section">
        <div class="form_header" "id="general_profile">General</div>
	<div>
                <label for="id_firstname">First name</label>
		<div id="id_firstname">{{ request.user.first_name }}</div>
	</div>
	<div>
                <label for="id_lastname">Last name</label>
		<div id="id_lastname">{{ request.user.last_name }}</div>
	</div>
	{% if form.public_image.value %}
	    <div id="headshot-registration">
		<img src="{{ MEDIA_URL }}{{ form.public_image.value }}" class="thumbnail" />
	    </div>
	{% endif %}

{% for field in form.visible_fields %}
                {% if field.name == "contact_email" %}
    </div>
    <div class="form_section">
        <div class="form_header" "id="contact_profile">Contact</div>
                {% elif field.name == "attend" %}
    </div>
    <div class="form_section">
        <div class="form_header" "id="conference_profile">Conference</div>
                {% endif %}
                {% if field.name == "public_image" %}
        <div>
		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
                    <input type="file" name="public_image" id="id_public_image" />
		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
        </div>
                {% else %}
	<div>
		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
		    {{ field }}

            {% if field.help_text %}
            <div class="help_text">
              {{ field.help_text|safe }}
            </div>
            {% endif %}

		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
	</div>
		{% endif %}
        {% if field.name == "departure_needs" %}
        <div class="notes">Please contact us if you have special needs</div>
        {% endif %}
{% endfor %}
{% for field in sponsform.visible_fields %}
                {% if field.name == "needs_food" %}
    </div>
    <div class="form_section">
        <div class="form_header" "id="sponsorship_profile">Sponsorship</div>
                {% endif %}
        <div>
		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
		    {{ field }}

            {% if field.help_text %}
            <div class="help_text">
              {{ field.help_text|safe }}
            </div>
            {% endif %}

		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
	</div>
{% endfor %}
{% for field in sponsform.hidden_fields %}
	    <div class="hidden">{{ field }}</div>
{% endfor %}
    </div>
{% for field in form.hidden_fields %}
	    <div class="hidden">{{ field }}</div>
{% endfor %}
<input type="submit" name="submit" value="Register" class="submit-button" />
</form>
{% endblock %}
